package io.itaiit.inter;

import org.apache.dubbo.common.URL;
import org.apache.dubbo.common.extension.Wrapper;

@Wrapper(matches = {"impl222"})
public class TestAdaptiveWrapper implements AdaptiveTest {

    private AdaptiveTest wrapperObject;

    public TestAdaptiveWrapper(AdaptiveTest adaptiveTest) {
        this.wrapperObject = adaptiveTest;
    }

    @Override
    public void sayHello(String name) {
        System.out.println("TestAdaptiveWrapper.sayHello");
        wrapperObject.sayHello(name);
    }

    @Override
    public void cusAdaptiveFunc(URL url) {

    }
}
